net.officefloor.plugin.web.http.tokenise
Interface HttpRequestTokenHandler

All Known Implementing Classes:
HttpRequestTokenAdapter

public interface HttpRequestTokenHandler

Handler that receives the HttpRequest tokens.

Other values are directly available from the HttpRequest.

Author:
Daniel Sagenschneider

Method Summary
 void handleFragment(String fragment)
          Handles the fragment token of the HttpRequest.
 void handleHttpParameter(String name, String value)
           Handles a HttpRequest parameter.
 void handlePath(String path)
          Handles the path token of the HttpRequest.
 void handleQueryString(String queryString)
          Handles the query string (raw parameter text on the request URI).
 

Method Detail

handlePath

void handlePath(String path)
                throws HttpRequestTokeniseException
Handles the path token of the HttpRequest.

Parameters:
path - Path.
Throws:
HttpRequestTokeniseException - If fails to handle the HttpRequest path.

handleHttpParameter

void handleHttpParameter(String name,
                         String value)
                         throws HttpRequestTokeniseException

Handles a HttpRequest parameter.

Parameters are also sourced from the body on a POST HttpRequest.

Parameters:
name - Name of the parameter.
value - Value for the parameter.
Throws:
HttpRequestTokeniseException - If fails to handle the HttpRequest parameter.

handleQueryString

void handleQueryString(String queryString)
                       throws HttpRequestTokeniseException
Handles the query string (raw parameter text on the request URI).

Parameters:
queryString - Raw query string.
Throws:
HttpRequestTokeniseException - if fails to handle the query string.

handleFragment

void handleFragment(String fragment)
                    throws HttpRequestTokeniseException
Handles the fragment token of the HttpRequest.

Parameters:
fragment - Fragment.
Throws:
HttpRequestTokeniseException - If fails to handle the HttpRequest fragment.


Copyright © 2005-2013. All Rights Reserved.